Name:           cal10n
Version:        0.7.7
Release:        %mkrel 8
Group:          Development/Java
Summary:        Compiler assisted localization library (CAL10N)
License:        MIT
URL:            http://cal10n.qos.ch
Source0:        http://cal10n.qos.ch/dist/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-artifact-manager)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)

%description
Compiler Assisted Localization, abbreviated as CAL10N (pronounced as "calion") 
is a java library for writing localized (internationalized) messages.
Features:
    * java compiler verifies message keys used in source code
    * tooling to detect errors in message keys
    * native2ascii tool made superfluous, as you can directly encode bundles 
      in the most convenient charset, per locale.
    * good performance (300 nanoseconds per key look-up)
    * automatic reloading of resource bundles upon change


%package javadoc
Summary:        API documentation for %{name}

%description javadoc
%{summary}.

%package -n maven-%{name}-plugin
Summary:        CAL10N maven plugin

%description -n maven-%{name}-plugin
Maven plugin verifying that the codes defined in
an enum type match those in the corresponding resource bundles. 

%prep
%setup -q 
find . -name \*.jar -delete
%pom_xpath_remove pom:extensions
%pom_add_dep org.apache.maven:maven-artifact maven-%{name}-plugin
%pom_disable_module %{name}-site
%pom_disable_module maven-%{name}-plugin-smoke
%mvn_package :*-{plugin} @1

%build
%mvn_build -- -Dproject.build.sourceEncoding=ISO-8859-1

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files -n maven-%{name}-plugin -f .mfiles-plugin

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 0.7.7-8.mga6
+ Revision: 982098
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 0.7.7-7.mga6
+ Revision: 975754
- First rebuild of the java stack
- sync package cal10n with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 0.7.7-6.mga5
+ Revision: 806506
- Add missing BuildRequires
- Sync with Fedora 21
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 0.7.7-4.mga5
+ Revision: 746888
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 0.7.7-2.mga4
+ Revision: 558492
- Fix BuildRequires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 0.7.7-1.mga4
+ Revision: 489270
- New version

* Fri Jan 11 2013 umeabot <umeabot> 0.7.4-11.mga3
+ Revision: 347326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 dmorgan <dmorgan> 0.7.4-10.mga3
+ Revision: 338785
- Simplify spec file ( remove ant build)

* Sun Jan 22 2012 gil <gil> 0.7.4-2.mga2
+ Revision: 199740
- build fix
  build with maven 3 support
  adapt to current guidelines
  new sub package maven-cal10n-smoke-plugin

* Thu Jan 20 2011 dmorgan <dmorgan> 0.7.4-1.mga1
+ Revision: 27288
- Ooooops i removed the wrong file
- Fix file list
- Fix docs
- Fix file list
- Fix jar file install
- Fix jar file name
- Fix hardcoded value
- Adapt to mageia
- Use OpenSource spec file for bootstraping
- imported package cal10n


* Thu Nov 25 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.7.4-4
- Fix pom filenames (Resolves rhbz#655792)
- Add several packages to Requires
- Remove versioned jars and javadocs

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.4-3
- Fix build failure (javadoc:aggregate).

* Mon Jul 19 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.4-2
- BR maven-site-plugin.

* Mon Jul 19 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.4-1
- Update to 0.7.4.

* Wed Feb 3 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.2-2
- Removed not needed external repo definitions.
- Use _mavenpomdir.

* Wed Feb 3 2010 Alexander Kurtakov <akurtako@redhat.com> 0.7.2-1
- Initial package
